Package org.gradle.tooling.model.eclipse

## Interface EclipseClasspathContainer

- All Superinterfaces:
    `EclipseClasspathEntry`

      public interface EclipseClasspathContainer
      extends EclipseClasspathEntry

  Eclipse classpath entry used by third-party plugins to contribute to the project's classpath.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Returns the path of this container.
    `boolean` | `isExported()` | Marks this container as exported.

    - ### Methods inherited from interface org.gradle.tooling.model.eclipse.EclipseClasspathEntry

      `getAccessRules, getClasspathAttributes`

- - ### Method Detail

    - #### getPath

          java.lang.String getPath()

      Returns the path of this container.
      Returns:
        The path of this container. Does not return null.

    - #### isExported

          boolean isExported()

      Marks this container as exported.
      Returns:
        whether this container needs to be exported.